Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		faac
Version:	1.26
Release:	1
License:	GNU/GPL 
URL:		http://www.audiocoding.com
Group:		Multimedia/Audio
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	The FAAC project includes the AAC encoder FAAC.
BuildRequires:	glibc-devel
BuildRequires:  libstdc++-devel
BuildRequires:	libmp4v2-devel

Requires:	libmp4v2 >= 1.5.0.1

# Requirement
Provides:	%{name}

# Require for rpm lzma compression transition
Requires:	rpm >= 4.4.2.3-1

%description
The FAAC project includes the AAC encoder FAAC.
It supports several MPEG-4 object types (LC, Main, LTP, HE AAC, PS)
and file formats (ADTS AAC, raw AAC, MP4), multichannel and
gapless en/decoding as well as MP4 metadata tags.
The codecs are compatible with standard-compliant audio applications
using one or more of these profiles.
For more details see: http://www.audiocoding.com

%package	devel
Summary:	%{name} development headers.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}

%build
./bootstrap
%configure \
--with-mp4v2=no
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_bindir
%_libdir/*.so.*

%files devel
%defattr(-,root,root)
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so
%_includedir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jul 15 2008 Chistian Wasem <wasem@ccux-linux.de> 1.26-1
- Version update, building with externel libmp4v2
* Tue Dec 19 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.25-1
- Version update
* Mon Jul 11 2005 Christian Wasem <wasem@ccux-linux.de> 1.24-2
- rebuilt for source rpm
